> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report

> Lists the custom revenue reports saved in your organisation. Run one with `/v1/report/{id}/data`



## OpenAPI

````yaml /openapi.json get /v1/report
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report:
    get:
      tags:
        - Reporting/Revenue Reports
        - public
      summary: /report
      description: >-
        Lists the custom revenue reports saved in your organisation. Run one
        with `/v1/report/{id}/data`
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    description: >-
                      Saved reports for your organisation. Temporary (unsaved)
                      reports are not listed. Empty array when there are none
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: >-
                            Report id, used in /v1/report/{id} and
                            /v1/report/{id}/data
                        title:
                          type: string
                          description: Report name; null when saved without one
                          nullable: true
                        date_range:
                          type: string
                          enum:
                            - Custom/Fixed
                            - Yesterday
                            - Last 7 days
                            - Last 30 days
                            - Last 3 months
                            - Last 6 months
                            - Last week
                            - Last month
                            - Last quarter
                            - Last year
                            - Week to date
                            - Month to date
                            - Quarter to date
                            - Year to date
                            - All time
                          description: >-
                            Display label for the saved date range. GET
                            /v1/report/{id} returns the matching key, for
                            example `seven_days` for `Last 7 days`
                        created_on:
                          type: string
                          description: >-
                            When the report was created, `YYYY-MM-DD HH:MM:SS`
                            in UTC
                        created_by:
                          type: integer
                          description: User id of the creator
                        created_by_name:
                          type: string
                          description: Display name of the creator
                      required:
                        - id
                        - title
                        - date_range
                        - created_on
                        - created_by
                        - created_by_name
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - id: 4101
                    title: Weekly revenue by site
                    date_range: Last 7 days
                    created_on: '2026-09-14 09:32:10'
                    created_by: 2087
                    created_by_name: Alex Morgan
                  - id: 4127
                    title: Device split
                    date_range: Month to date
                    created_on: '2026-10-02 16:05:47'
                    created_by: 2087
                    created_by_name: Alex Morgan
                  - id: 4133
                    title: null
                    date_range: Custom/Fixed
                    created_on: '2026-10-20 11:48:03'
                    created_by: 2154
                    created_by_name: Priya Shah
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.